Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::Ret_Object_Argument_T< CORBA::Object_ptr, CORBA::Object_var > Class Template Reference

`#include <Object.h>`

Inheritance diagram for TAO::Ret_Object_Argument_T< CORBA::Object_ptr, CORBA::Object_var >:

[legend]
Collaboration diagram for TAO::Ret_Object_Argument_T< CORBA::Object_ptr, CORBA::Object_var >:

[legend]
List of all members.

## Public Member Functions
| Ret_Object_Argument_T (void)
virtual CORBA::Boolean | demarshal (TAO_InputCDR &)
| Demarshal the argument from the given CDR input stream.
virtual void | interceptor_result (CORBA::Any *)
| Populate the given CORBA::Any result argument.
CORBA::Object_ptr & | arg (void)
CORBA::Object_ptr | excp (void)
CORBA::Object_ptr | retn (void)
## Private Attributes
CORBA::Object_var | x_

### template<>
class TAO::Ret_Object_Argument_T< CORBA::Object_ptr, CORBA::Object_var >

## Member Function Documentation

CORBA::Object_ptr& TAO::Ret_Object_Argument_T< CORBA::Object_ptr, CORBA::Object_var >::arg | ( | void |  | ) |

virtual CORBA::Boolean TAO::Ret_Object_Argument_T< CORBA::Object_ptr, CORBA::Object_var >::demarshal | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Demarshal the argument from the given CDR input stream. Note: The default implementation simply returns `true`. Reimplemented from TAO::Argument.

CORBA::Object_ptr TAO::Ret_Object_Argument_T< CORBA::Object_ptr, CORBA::Object_var >::excp | ( | void |  | ) |

virtual void TAO::Ret_Object_Argument_T< CORBA::Object_ptr, CORBA::Object_var >::interceptor_result | ( | CORBA::Any * |  | ) | `[virtual]`

| Populate the given CORBA::Any result argument. Note: The default implementation is a no-op. Reimplemented from TAO::Argument.

TAO::Ret_Object_Argument_T< CORBA::Object_ptr, CORBA::Object_var >::Ret_Object_Argument_T | ( | void |  | ) |

CORBA::Object_ptr TAO::Ret_Object_Argument_T< CORBA::Object_ptr, CORBA::Object_var >::retn | ( | void |  | ) |

## Member Data Documentation

CORBA::Object_var TAO::Ret_Object_Argument_T< CORBA::Object_ptr, CORBA::Object_var >::x_`[private]`

The documentation for this class was generated from the following file:

- Object.h